.message-block {
	padding: 0.5em 0;

	& .woocommerce-message {
		display: flex;
		flex-direction: column-reverse;
		justify-content: space-between;
		align-items: center;
		line-height: 1.5;
		align-items: center;

		@media (--s) {
			flex-direction: row-reverse;
			align-items: flex-start;
		}

		& .button {
			padding: 0.5em 0.75em;
			background-color: var(--primary);
			min-width: 150px;
			text-align: center;
			margin-top: 1em;

			@media (--s) {
				margin-left: 2em;
				margin-top: 0;
			}
		}
	}
}

.message-block__404-button {
	margin-top: 1em;
}

.message-block--no-container {
	& .message-block__container {
		max-width: 100%;
		margin: 0;
		padding: 0;
	}
}

.message-block--404 {
	margin-top: 1em;
	text-align: center;

	& .message-block__container {
		max-width: var(--s);
	}
}
